import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/manasishrotri/4e43a48d4a8c89f011dbf18b7de28190/raw/d57e99d0c8c1dc8d26ae7c7b08a91c3635e12669/covidWorldMayData.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.date = new Date(d.date);
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  
  return data;
};